#!/bin/bash
# Script to deploy images from install_loc to deploy_loc{build_loc}/arch/${ARCH}/boot/dts/${device_name}.dtb ${boot_dir}

IMX_UAPI_HEADERS="videodev2.h dma-buf.h"
MORE_UAPI_HEADERS="ion.h"
S=$PWD
B=_build
D=_install
exec_prefix=/usr

# Install i.MX specific uapi headers
do_make headers_install INSTALL_HDR_PATH=${B}${exec_prefix}
for UAPI_HDR in ${IMX_UAPI_HEADERS}; do
	found_result=`find ${B}${exec_prefix}/include -name ${UAPI_HDR} -printf '%P '`
	for hdr_file in $found_result ; do
		folder_name=`echo ${hdr_file%/*} `
		install -d ${D}${exec_prefix}/include/$folder_name
		cp ${B}${exec_prefix}/include/$hdr_file ${D}${exec_prefix}/include/$folder_name
		echo "copy ${UAPI_HDR} to $hdr_file"
	done
done

# Install additional uapi headers
do_make headers_install INSTALL_HDR_PATH=${B}${exec_prefix}
install -d ${D}${exec_prefix}/include/linux
for UAPI_HDR in ${IMX_UAPI_HEADERS}; do
	find ${B}${exec_prefix}/include -name ${UAPI_HDR} -exec cp {} ${D}${exec_prefix}/include/linux \;
	ls ${D}${exec_prefix}/include/linux
	echo "copy ${UAPI_HDR} done"
done
