#!/bin/bash
# Set the default kernel configuration

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_kernel_make() {
	# Apply default configuration
	log_exec cd $srcDir
	log_exec make O=$buildDir $@
}

# Default variables
S=${srcDir}
B=${buildDir}

do_buildstep_prepend

if [ -d "${D}" ]; then
	log_exec mkdir -p ${B}
fi

if [ "${S}" != "${B}" ] && [ -f "${S}/.config" ] && [ ! -f "${B}/.config" ]; then
	log_exec mv "${S}/.config" "${B}/.config"
fi

# Copy defconfig to .config if .config does not exist. This allows
# recipes to manage the .config themselves in do_configure_prepend().
if [ -f "${S}/defconfig" ] && [ ! -f "${B}/.config" ]; then
	log_exec cp "${S}/defconfig" "${B}/.config"
fi

sed -i "/CONFIG_MXC_GPU_VIV[ =]/d" ${B}/.config
echo "CONFIG_MXC_GPU_VIV=y" >> ${B}/.config

do_kernel_make oldnoconfig

do_buildstep_append
