#! /bin/bash

S=$PWD
B=_build
D=_install
exec_prefix=/usr
SYSROOT_DESTDIR=${TARGET_SYSROOT_LOC}

sysroot_stage_dir() {
	src="$1"
	dest="$2"
	# if the src doesn't exist don't do anything
	if [ ! -d "$src" ]; then
		 return
	fi

	mkdir -p "$dest"
	(
		cd $src
		find . -print0 | cpio --null -pdlu $dest
	)
}

# FIXME: Remove videodev2.h as conflict with linux-libc-headers
find ${D}${exec_prefix}/include -name videodev2.h -exec mv {} ${B} \;

# Install SOC related uapi headers to sysroot
sysroot_stage_dir ${D}${exec_prefix}/include ${SYSROOT_DESTDIR}${exec_prefix}/include

# FIXME: Restore videodev2 back
if [ -e ${B}/videodev2.h ]; then
	mv ${B}/videodev2.h ${D}${exec_prefix}/include/linux/
fi
